@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'custom-fields'"
          [sqtmCoreAnchorCollapsePanel]="'custom-fields'"
          [nzHeader]="customFieldsTitle"
          [nzExtra]="customFieldButtons"
        >
          <ng-template #customFieldsTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.entity.custom-field.label.plural' | translate }}
            </div>
          </ng-template>
          <sqtm-app-project-custom-fields-panel>
          </sqtm-app-project-custom-fields-panel>
        </nz-collapse-panel>
      </nz-collapse>
      <ng-template #customFieldButtons>
        <div class="admin-view-panel-buttons">
          <div
            (click)="addCustomField($event)"
            [attr.data-test-button-id]="'add-custom-field-binding'"
          >
            <i
              nz-icon
              nzType="sqtm-core-generic:add"
              nzTheme="outline"
              class="current-workspace-button action-icon-size"
              nz-tooltip
              nzTooltipPlacement="topRight"
              [nzTooltipTitle]="'sqtm-core.generic.label.add' | translate"
            >
            </i>
          </div>
          <div (click)="stopPropagation($event)">
            <sqtm-core-toggle-icon
              [active]="customFieldGrid.hasSelectedRows$ | async"
              (clickedInActiveMode)="unbindCustomFields($event)"
              [attr.data-test-button-id]="'unbind-custom-fields-from-project'"
            >
              <i
                nz-icon
                nzType="sqtm-core-generic:unlink"
                nzTheme="outline"
                class="action-icon-size"
                nz-tooltip
                nzTooltipPlacement="topRight"
                [nzTooltipTitle]="'sqtm-core.generic.label.delete' | translate"
              >
              </i>
            </sqtm-core-toggle-icon>
          </div>
        </div>
      </ng-template>
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'info-lists'"
          [sqtmCoreAnchorCollapsePanel]="'info-lists'"
          sqtmCoreAnchorLastPanel
          [nzHeader]="infoListsTitle"
        >
          <ng-template #infoListsTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.entity.info-list.label.plural' | translate }}
            </div>
          </ng-template>
          <sqtm-app-project-info-lists-panel
            [adminProjectViewComponentData]="componentData"
          >
          </sqtm-app-project-info-lists-panel>
        </nz-collapse-panel>
        <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
      </nz-collapse>
    </div>
  </div>
}
